<?xml version="1.0" encoding="utf-8" standalone="no"?>
<?taxonomy-version 1.0.0.0?>
<?taxonomy-date 2025-04-17?>
<!--This is a generated XML file-->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xml="http://www.w3.org/XML/1998/namespace">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" />
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsRecognisedAsDistributionsToNoncontrollingInterests" xlink:label="loc_ifrs-full_DividendsRecognisedAsDistributionsToNoncontrollingInterests" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_DividendsRecognisedAsDistributionsToNoncontrollingInterests" xml:lang="hu" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Nem ellenőrző részesedések közötti felosztásként megjelenített osztalék</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_DividendsRecognisedAsDistributionsToNoncontrollingInterests" xlink:to="label_ifrs-full_DividendsRecognisedAsDistributionsToNoncontrollingInterests" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestExpense" xlink:label="loc_ifrs-full_InterestExpense" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_InterestExpense" xml:lang="hu" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Kamatráfordítás</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_InterestExpense" xlink:to="label_ifrs-full_InterestExpense" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncomeCost" xlink:label="loc_ifrs-full_FinanceIncomeCost" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_FinanceIncomeCost" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Pénzügyi bevétel (költség)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_FinanceIncomeCost" xlink:to="label_ifrs-full_FinanceIncomeCost" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_IncomeTaxExpenseContinuingOperations" xml:lang="hu" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Adóráfordítás (-bevétel)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:to="label_ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestReceivedClassifiedAsOperatingActivities" xlink:label="loc_ifrs-full_InterestReceivedClassifiedAsOperatingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_InterestReceivedClassifiedAsOperatingActivities" xml:lang="hu" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Kapott kamat, működési tevékenységként besorolva</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_InterestReceivedClassifiedAsOperatingActivities" xlink:to="label_ifrs-full_InterestReceivedClassifiedAsOperatingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" xlink:label="loc_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" xml:lang="hu" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Fizetett nyereségadók, működési tevékenységként besorolva</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" xlink:to="label_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_CashFlowsFromUsedInOperatingActivities" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Működési tevékenységekből származó (ezekben használt) cash flow-k</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="label_ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:label="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xml:lang="hu" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Ingatlanok, gépek és berendezések, goodwilltől eltérő immateriális javak, befektetési célú ingatlan és egyéb befektetett eszközök vásárlása</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:to="label_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_CashFlowsFromUsedInInvestingActivities" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Befektetési tevékenységekből származó (ezekben használt) cash flow-k</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xml:lang="hu" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Hitelfelvételek visszafizetése, finanszírozási tevékenységként besorolva</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:to="label_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RepaymentsOfBondsNotesAndDebentures" xlink:label="loc_ifrs-full_RepaymentsOfBondsNotesAndDebentures" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_RepaymentsOfBondsNotesAndDebentures" xml:lang="hu" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Kötvények, kötelezvények és adóslevelek visszafizetései</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_RepaymentsOfBondsNotesAndDebentures" xlink:to="label_ifrs-full_RepaymentsOfBondsNotesAndDebentures" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_InterestPaidClassifiedAsFinancingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_InterestPaidClassifiedAsFinancingActivities" xml:lang="hu" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Fizetett kamat, finanszírozási tevékenységként besorolva</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:to="label_ifrs-full_InterestPaidClassifiedAsFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_CashFlowsFromUsedInFinancingActivities" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Finanszírozási tevékenységekből származó (ezekben használt) cash flow-k</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Pénzeszközök és pénzeszköz-egyenértékesek növekedése (csökkenése), az átváltási árfolyam változásainak hatása előtt</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="label_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_ReservesTotal" xlink:label="loc_Masterplast_ReservesTotal" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_ReservesTotal" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/label">Tartalékok összesen</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_ReservesTotal" xlink:to="label_Masterplast_ReservesTotal" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_EarningsAttributableToOwnersOfParent" xlink:label="loc_Masterplast_EarningsAttributableToOwnersOfParent" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_EarningsAttributableToOwnersOfParent" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/label">Anyavállalati részesedés az eredményből</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_EarningsAttributableToOwnersOfParent" xlink:to="label_Masterplast_EarningsAttributableToOwnersOfParent" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_OtherComprehensiveIncomeAttributableToCcirsTransaction" xlink:label="loc_Masterplast_OtherComprehensiveIncomeAttributableToCcirsTransaction" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_OtherComprehensiveIncomeAttributableToCcirsTransaction" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/label">Egyéb átfogó jövedelem CCIRS ügylethez kapcsolódóan </link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_OtherComprehensiveIncomeAttributableToCcirsTransaction" xlink:to="label_Masterplast_OtherComprehensiveIncomeAttributableToCcirsTransaction" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_OtherComprehensiveIncomeExcludedHedgingTransaction" xlink:label="loc_Masterplast_OtherComprehensiveIncomeExcludedHedgingTransaction" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_OtherComprehensiveIncomeExcludedHedgingTransaction" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/label">Egyéb átfogó jövedelem (fedezeti ügyletek nélkül)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_OtherComprehensiveIncomeExcludedHedgingTransaction" xlink:to="label_Masterplast_OtherComprehensiveIncomeExcludedHedgingTransaction" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_EquityAttributableToOwnersOfParentAbstract" xlink:label="loc_Masterplast_EquityAttributableToOwnersOfParentAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_EquityAttributableToOwnersOfParentAbstract" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/label">Anyavállalat tulajdonosaihoz rendelhető saját tőke</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_EquityAttributableToOwnersOfParentAbstract" xlink:to="label_Masterplast_EquityAttributableToOwnersOfParentAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_EquityAttributableToOwnersOfParentAbstract2" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Anyavállalat tulajdonosaihoz rendelhető saját tőke összesen</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_EquityAttributableToOwnersOfParentAbstract" xlink:to="label_Masterplast_EquityAttributableToOwnersOfParentAbstract2" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_ReservesInTotal" xlink:label="loc_Masterplast_ReservesInTotal" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_ReservesInTotal" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/label">Tartalékok összesen</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_ReservesInTotal" xlink:to="label_Masterplast_ReservesInTotal" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_ProfitLossAttributableOfParentCompany" xlink:label="loc_Masterplast_ProfitLossAttributableOfParentCompany" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_ProfitLossAttributableOfParentCompany" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/label">Anyavállalat részesedése az eredményből</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_ProfitLossAttributableOfParentCompany" xlink:to="label_Masterplast_ProfitLossAttributableOfParentCompany" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_ShortTermBorrowingsAndCurrentPortionOfNonCurrentBorrowings" xlink:label="loc_Masterplast_ShortTermBorrowingsAndCurrentPortionOfNonCurrentBorrowings" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_ShortTermBorrowingsAndCurrentPortionOfNonCurrentBorrowings" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/label">Rövid lejáratú hitelek és hosszú lejáratú hitelek rövid lejáratú része</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_ShortTermBorrowingsAndCurrentPortionOfNonCurrentBorrowings" xlink:to="label_Masterplast_ShortTermBorrowingsAndCurrentPortionOfNonCurrentBorrowings" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_ProfitLossAbstract1" xlink:label="loc_Masterplast_ProfitLossAbstract1" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_ProfitLossAbstract1" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/label">Nyereség (veszteség) [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_ProfitLossAbstract1" xlink:to="label_Masterplast_ProfitLossAbstract1" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_ProfitLossBeforeTaxAbstract" xlink:label="loc_Masterplast_ProfitLossBeforeTaxAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_ProfitLossBeforeTaxAbstract" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/label">Adózás előtti eredmény</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_ProfitLossBeforeTaxAbstract" xlink:to="label_Masterplast_ProfitLossBeforeTaxAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_ProfitLossBeforeTaxAbstract2" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Adózás előtti eredmény</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_ProfitLossBeforeTaxAbstract" xlink:to="label_Masterplast_ProfitLossBeforeTaxAbstract2" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_ProfitLossFromOperatingActivitiesAbstract" xlink:label="loc_Masterplast_ProfitLossFromOperatingActivitiesAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_ProfitLossFromOperatingActivitiesAbstract" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/label">Működési tevékenységek eredménye</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_ProfitLossFromOperatingActivitiesAbstract" xlink:to="label_Masterplast_ProfitLossFromOperatingActivitiesAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_ProfitLossFromOperatingActivitiesAbstract2" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Működési tevékenységek eredménye</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_ProfitLossFromOperatingActivitiesAbstract" xlink:to="label_Masterplast_ProfitLossFromOperatingActivitiesAbstract2" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_RawMaterialsServicesUsedCostOfGoodsSold" xlink:label="loc_Masterplast_RawMaterialsServicesUsedCostOfGoodsSold" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_RawMaterialsServicesUsedCostOfGoodsSold" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/label">Anyagok, igénybevett szolgáltatások és eladott áruk beszerzési értéke</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_RawMaterialsServicesUsedCostOfGoodsSold" xlink:to="label_Masterplast_RawMaterialsServicesUsedCostOfGoodsSold" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_RawMaterialsServicesUsedCostOfGoodsSold2" xml:lang="hu" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Anyagok, igénybevett szolgáltatások és eladott áruk beszerzési értéke</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_RawMaterialsServicesUsedCostOfGoodsSold" xlink:to="label_Masterplast_RawMaterialsServicesUsedCostOfGoodsSold2" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_FinanceIncomeCostAbstract" xlink:label="loc_Masterplast_FinanceIncomeCostAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_FinanceIncomeCostAbstract" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/label">Pénzügyi bevétel (költség)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_FinanceIncomeCostAbstract" xlink:to="label_Masterplast_FinanceIncomeCostAbstract" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_ComprehensiveIncomeAbstract2" xlink:label="loc_Masterplast_ComprehensiveIncomeAbstract2" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_ComprehensiveIncomeAbstract2" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/label">Átfogó jövedelem</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_ComprehensiveIncomeAbstract2" xlink:to="label_Masterplast_ComprehensiveIncomeAbstract2" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_ComprehensiveIncomeAbstract22" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Átfogó jövedelem összesen</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_ComprehensiveIncomeAbstract2" xlink:to="label_Masterplast_ComprehensiveIncomeAbstract22" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_ComprehensiveIncomeAbstract1" xlink:label="loc_Masterplast_ComprehensiveIncomeAbstract1" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_ComprehensiveIncomeAbstract1" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/label">Átfogó jövedelem</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_ComprehensiveIncomeAbstract1" xlink:to="label_Masterplast_ComprehensiveIncomeAbstract1" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_ComprehensiveIncomeAbstract12" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Átfogó jövedelem összesen</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_ComprehensiveIncomeAbstract1" xlink:to="label_Masterplast_ComprehensiveIncomeAbstract12" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_ShareOfOtherComprehensiveIncomeOfAssociates" xlink:label="loc_Masterplast_ShareOfOtherComprehensiveIncomeOfAssociates" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_ShareOfOtherComprehensiveIncomeOfAssociates" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/label"> Anyavállalat részesedése társult válllakozások értékének változásából</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_ShareOfOtherComprehensiveIncomeOfAssociates" xlink:to="label_Masterplast_ShareOfOtherComprehensiveIncomeOfAssociates" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChangesAbstract" xlink:label="loc_Masterplast_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChangesAbstract" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChangesAbstract" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/label">Pénzeszközök és pénzeszköz-egyenértékesek növekedése (csökkenése), az átváltási árfolyam változásainak hatása előtt</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChangesAbstract" xlink:to="label_Masterplast_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChangesAbstract" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_DeficitAndScrapOfInventories" xlink:label="loc_Masterplast_DeficitAndScrapOfInventories" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_DeficitAndScrapOfInventories" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/label">Készletek hiánya és selejtezése</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_DeficitAndScrapOfInventories" xlink:to="label_Masterplast_DeficitAndScrapOfInventories" />
    <link:loc xlink:type="locator" xlink:href="529900T52BKQIM96BG24-2024-12-31.xsd#Masterplast_DividendsPaidClassifiedAsFinancingActivitiesIncludingNci" xlink:label="loc_Masterplast_DividendsPaidClassifiedAsFinancingActivitiesIncludingNci" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_DividendsPaidClassifiedAsFinancingActivitiesIncludingNci" xml:lang="hu" xlink:role="http://www.xbrl.org/2003/role/label">Fizetett osztalék pénzügyi tevékenységként besorolva nem ellenőrző részesedéssel együtt</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_DividendsPaidClassifiedAsFinancingActivitiesIncludingNci" xlink:to="label_Masterplast_DividendsPaidClassifiedAsFinancingActivitiesIncludingNci" />
    <link:label xlink:type="resource" xlink:label="label_Masterplast_DividendsPaidClassifiedAsFinancingActivitiesIncludingNci2" xml:lang="hu" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Fizetett osztalék pénzügyi tevékenységként besorolva nem ellenőrző részesedéssel együtt</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Masterplast_DividendsPaidClassifiedAsFinancingActivitiesIncludingNci" xlink:to="label_Masterplast_DividendsPaidClassifiedAsFinancingActivitiesIncludingNci2" />
  </link:labelLink>
</link:linkbase>